4

I have been trying to install Hearthstone via Wine, i have it configured properly, and have installed it before, but now for some reason i cant install the latest NVIDIA driver (which is 355) and in my proprietary drivers i get 340.

When i execute sudo apt-cache search nvidia | grep -oE "nvidia-[0-9]{1,3}", i just get 346 for the newest version. And when i try to install it with sudo apt-get install nvidia-352it says this:Unable to locate package nvidia-352.

And for Hearthstone this is what i get: enter image description here

All of these thing worked perfectly in 14.04, but i had to install NVIDIA Cuda for Wine and NVIDIA not to collide.

I use NVIDIA Geforce 740m and Wine from the Ubuntu Software Center, it says here it is 1.4.

Could that be the reason?

2

In case you already have installed NVIDIA drivers, first uninstall every NVIDIA related software.

Open a terminal and execute:

sudo apt-get purge nvidia*  
sudo reboot 

Install the latest stable NVIDIA (long-lived branch) drivers from the Proprietary GPU drivers PPA:

sudo add-apt-repository ppa:graphics-drivers/ppa
sudo apt-get update
sudo apt-get install nvidia-352
sudo reboot  

When you want to have the latest (short-lived branch) drivers 355 - simply replace 352 with 355.

1
  • Don't forget to install nvidia-modprobe after reboot and then reboot another time or else CUDA won't work as it won't see nvidia drivers. – Arup Roy Chowdhury Oct 21 '15 at 15:18

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.